Skip to main content
PATCH
/
api
/
public
/
v2
/
tables
/
{table_id}
Update Table
curl --request PATCH \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "title": "<string>",
  "folder_id": 123
}
'
import requests

url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}"

payload = {
    "title": "<string>",
    "folder_id": 123
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({title: '<string>', folder_id: 123})
};

fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "table": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": 123,
    "title": "<string>",
    "folder_id": 123,
    "sheet_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "sheet_row_counts": {}
  }
}
{
  "success": false,
  "message": "<string>",
  "error": "<string>"
}
{
  "success": false,
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Update a Table. Use title to rename the Table. Use folder_id to move it into a registry folder, or pass folder_id: null to remove it from a folder.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required

Body

application/json
title
string | null
folder_id
integer | null

Response

Table updated

success
boolean
table
object

A Table — a versioned, multi-sheet table that can run LLM columns to generate or evaluate data at scale.